/*
 * getmbfid.c
 * original code: SASANO Takayoshi
 * --- public domain, no warranty.
 */

#include <btron/device.h>
#include <device/common.h>
#include <tcode.h>

#ifdef	DEBUG
#define	D(x)	printf x
#else
#define	D(x)	/* */
#endif

/* ¸ߤΨι⤤CLOCKȤȤˤ */
LOCAL	TC	Target[] = {TK_C, TK_L, TK_O, TK_C, TK_K, TK_NULL};

/* ѥåХåեID */
EXPORT	WERR	get_mbfid(void)
{
	WERR	err;
	W	dd, rsz;
	ID	id;

	err = b_opn_dev(Target, D_READ, NULL);
	if (err < ER_OK) {
		D(("get_mbfid: b_opn_dev %d\n", err));
		goto fin0;
	}
	dd = err;

	err = b_rea_dev(dd, DN_EVENT, (UB *)&id, sizeof(id), &rsz, NULL);
	if (err < ER_OK) {
		D(("get_mbfid: b_rea_dev %d\n", err));
		goto fin1;
	}
	err = id;
 fin1:
	b_cls_dev(dd, 0, NULL);
 fin0:
	return err;
}
